<template lang="pug">
  div
    v-form(ref='form')
      v-text-field(v-model='title', label='Задача')
      v-textarea(v-model='description', label='Описание')
      v-btn(@click='submit()', to='/') Создать задачу
      v-btn(to='/') Отмена

</template>
<script>
  import { mapActions } from 'vuex';

  export default {
    data() { 
        return {
          title: '',
          description: '',
        } 
    },
    computed: {

    },
    methods: {
      ...mapActions([
        'addTodo'
      ]),
      submit() {
        let { title, description } = this;
        this.addTodo({ title, description });
      },
    },
  }
</script>
